<!DOCTYPE html>
<html lang="en">
<head>
    <%- include('./head'); %>
    <style>
        .center {
            margin: 20px auto auto auto;
        }
    </style>
</head>
<body>
    <% if(req.originalUrl==`/mongo/update/${db_person._id}`){ %>
        <%- include("./navbar") %>
        <% }else{ %>
            <%- include("./navbar2") %>
        <% } %>
    <div class="col-md-4 col-md-offset-4 center">
        <% if(req.originalUrl==`/mongo/update/${db_person._id}`){ %> 
        <form action="/mongo/update/<%= db_person._id %>/?_method=PUT" method="POST">
        <% }else{ %> 
        <form action="/sql/update/<%= db_person.id %>/?_method=PUT" method="POST">
        <% } %> 
            
            <div class="mb-3">
                <label for="firstName" class="form-label">Firstname</label>
                <input type="text" class="form-control" name="firstName" id="firstName" value="<%= db_person.firstName %>" required>
            </div>

            <div class="mb-3">
                <label for="lastName" class="form-label">Lastname</label>
                <input type="text" class="form-control" name="lastName" id="lastName" value="<%= db_person.lastName %>" required>
            </div>

            <div class="mb-3">
                <label for="email" class="form-label">Email address</label>
                <input type="email" class="form-control" name="email" id="email" aria-describedby="emailHelp" value="<%= db_person.email %>"  required>
            </div>


            <div class="mb-3">
                <label for="password" class="form-label">Password</label>
                <input type="password" class="form-control" name="password" id="password" value="<%= db_person.password %>" required>
            </div>

            <select class="form-select" name="gender" id="gender">
                <% for(let i of gender){ %>
                    <option value="<%= i %>" <%= db_person.gender==i?"selected":""%>><%= i %></option>
                <% } %> 
            </select>
            <br>

            <button type="submit" class="btn btn-outline-primary">Update</button>
        </form>
    </div>
</body>
</html>